<?php
class TF_MalwareCheck implements themecheck {
	protected $error = array();

	function check( $php_files, $css_files, $other_files ) {
		$ret = true;

		$checks = array(
			'/[^a-z0-9](?<!_)(curl_exec|curl_init|fsockopen|pfsockopen)\s?\(/' => __( 'possible file operations', 'themecheck' ),
			);

		foreach ( $php_files as $php_key => $phpfile ) {
			foreach ( $checks as $key => $check ) {
				checkcount();

				if ( preg_match_all( $key, $phpfile, $matches ) ) {
					$filename = tc_filename( $php_key );

						foreach ($matches[1] as $match ) {
							$error = ltrim( $match, '(' );
							$error = rtrim( $error, '(' );
							$grep = tc_grep( $error, $php_key );
							$this->error[] = sprintf(__('<span class="tc-lead tc-warning">WARNING</span>: <strong>%1$s</strong> was found in the file <strong>%2$s</strong> %3$s.%4$s', 'themecheck'), $error, $filename, $check, $grep );
							$ret = false;
						}
				} 
			}
		}
		return $ret;
	}

	function getError() { return $this->error; }
}
$themechecks[] = new TF_MalwareCheck;
